//Example of topology
syntax = "proto3";
package device;

import "google/protobuf/empty.proto";
import "context.proto";

service DeviceService {
  rpc AddDevice(context.Device) returns (context.DeviceId) {}
  rpc ConfigureDevice(context.DeviceConfig) returns (context.DeviceId) {}
  rpc DeleteDevice(context.DeviceId) returns (google.protobuf.Empty) {}
}


